/*    File:  anomaly.c
 *  Author:  Peter Ross and Neil Firth
 * Created:  9 July 1997
 *
 * University of Edinburgh Department of AI
 */
#include <stdio.h>
#include <math.h>

void
main (int argc, char **argv)
{
  int i, j, n, m;

  if (argc != 3)
    {
      fprintf (stderr, "usage: %s N M\n", argv[0]);
      fprintf (stderr, "    This program calls srandom(i*M + N) and then\n");
      fprintf (stderr, "    calls random()&01 fifty times, producing a\n");
      fprintf (stderr, "    string of fifty 0s and 1s.\n");
      fprintf (stderr, "    It does this for i=0,1,2,3,4,5,6,7,8,9.\n");
      fprintf (stderr, "\n");
      fprintf (stderr, "    For M=4, using the system-provided functions\n");
      fprintf (stderr, "    random() and srandom() on Solaris 2.5 and on\n");
      fprintf (stderr, "    HP-UX B.10.20,\n");
      fprintf (stderr, "    *** THE STRINGS ARE THE SAME ***\n");
      fprintf (stderr, "    We suspect any other systems that use versions\n");
      fprintf (stderr, "    derived from the old BSD code:\n");
      fprintf (stderr, "    \"random.c    5.5 (Berkeley) 7/6/88\"\n");
      fprintf (stderr, "    will give you the same result.\n");
      exit (1);
    }

  n = atoi (argv[1]);
  m = atoi (argv[2]);

  for (i = 0; i < 10; i++)
    {
      srandom (i * m + n);
      for (j = 0; j < 50; j++)
        {
          printf ("%c", '0' + (random() & 01));
        }
      printf ("\n");
    }
}

